﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PristaniNaMesici
{
    public partial class ConnectForm : Form
    {
        public ConnectForm()
        {
            InitializeComponent();
        }

        private void button_start_Click(object sender, EventArgs e)
        {
            Valid = true;

            this.Address = textBox_address.Text;
            this.MaxSpeed = (int)numericUpDown_speed.Value;

            this.Close();
        }

        public bool Valid
        {
            get;
            private set;
        } = false;

        public string Address
        {
            get;
            private set;
        }
        public int MaxSpeed
        {
            get;
            private set;
        }

        public void UpdateButtonState()
        {
            bool valid = !string.IsNullOrWhiteSpace(textBox_address.Text) && !textBox_address.Text.Contains(" ");
            button_start.Enabled = valid;
        }

        private void textBox_address_TextChanged(object sender, EventArgs e)
        {
            UpdateButtonState();
        }

        private void ConnectForm_Load(object sender, EventArgs e)
        {
            UpdateButtonState();
        }
    }
}
